Bug 249004 - User interface to obtain usable dm devices (P2*)
User interface to obtain usable dm devices (P2*)
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: device-mapper (Show other bugs)
4.5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Milan Broz
Corey Marthaler
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-07-20 05:44 EDT by Milan Broz
Modified: 2013-02-28 23:05 EST (History)
13 users (show)

See Also:
Fixed In Version: RHBA-2007-0749
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-15 10:58:06 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Milan Broz 2007-07-20 05:44:24 EDT
+++ This bug was initially created as a clone of Bug #168533 +++
RHEL 4.6 clone, covering tree-based and dependency fields in dm

-- Additional comment from tao@redhat.com on 2005-09-16 17:32 EST --
From User-Agent: XML-RPC

dm devices can be stacked on other dm devices.

So some of dm devices are valid for mount, fsck, etc.,

while the others are not valid for such use.

Using libdevmapper, it's possible to obtain information about

dependencies between dm devices.

It can be extended to provide user-space tools to obtain

device listing valid for their use.

...

-- Additional comment from agk@redhat.com on 2007-03-30 14:14 EST --
Let's get the final piece of this cleaned up and included in 5.1 dmsetup.
Comment 6 errata-xmlrpc 2007-11-15 10:58:06 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2007-0749.html

Note You need to log in before you can comment on or make changes to this bug.